Closed Bug 955036 Opened 6 years ago Closed 6 years ago

Update to Mozilla 17

Categories

(Chat Core :: General, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: clokep)

References

()

Details

Attachments

(3 files, 5 obsolete files)

*** Original post on bio 1606 at 2012-07-25 21:01:00 UTC ***

Firefox 16 will be released on 2012-11-20. Branch date 2012-08-27.
Blocks: 955037
Blocks: 955030
No longer depends on: 955030
Blocks: 953632
*** Original post on bio 1606 as attmnt 1908 at 2012-09-21 10:59:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
*** Original post on bio 1606 at 2012-09-21 11:01:43 UTC ***

Comment on attachment 8353666 [details] [diff] [review] (bio-attmnt 1908)
Fix building purplexpcom on Gecko 17

nsnull -> nullptr, remove the NS_OUTPARAM and NS_SCRIPTABLE macros, and PRUint32 -> uint64_t in 2 places, and an nsILocalFile -> nsIFile (already required for Gecko 16).
Comment on attachment 8353666 [details] [diff] [review]
Fix building purplexpcom on Gecko 17

*** Original change on bio 1606 attmnt 1908 at 2012-09-25 13:01:12 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353666 - Flags: review+
No longer blocks: 955030
*** Original post on bio 1606 as attmnt 2155 at 2012-12-07 11:35:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Comment on attachment 8353666 [details] [diff] [review]
Fix building purplexpcom on Gecko 17

*** Original change on bio 1606 attmnt 1908 at 2012-12-07 11:35:43 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353666 - Attachment is obsolete: true
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Attached patch Patches, client.py (obsolete) — Splinter Review
*** Original post on bio 1606 as attmnt 2156 at 2012-12-07 11:36:00 UTC ***

This includes the script I used to update the patches.

This removes all PPC and Mac OS X 10.5 patches.
Attachment #8353918 - Flags: review?(florian)
*** Original post on bio 1606 at 2012-12-07 12:34:44 UTC ***

This patch drops support for PPC, so I'm assuming this is also becoming the "drop ppc" bug (if it's not, then we need to file one, and land it before upgrading to gecko 17).

Dropping PPC also requires changing:
- http://lxr.instantbird.org/instantbird/source/tools/buildbot-configs/macosx/mozconfig#12
- http://lxr.instantbird.org/instantbird/source/tools/buildbot-configs/macosx/mozconfig-release#12
(The new value seems to be:
mk_add_options MOZ_BUILD_PROJECTS="i386 x86_64"
)
- http://lxr.instantbird.org/instantbird/source/tools/patches/no-debug-symbols.patch#26
- http://lxr.instantbird.org/instantbird/source/instantbird/installer/Makefile.in#56 (this comment doesn't make sense to me. The similar file in mail/ and browser/ doesn't have that comment and no ifdef either, so I think we can just drop it.)
- http://lxr.instantbird.org/instantbird/source/purple/libraries/glib/config.h#1043
- http://lxr.instantbird.org/instantbird/source/purple/libraries/glib/glibconfig.h#252
- http://lxr.instantbird.org/instantbird/source/purple/libraries/glib/glibconfig.h#294
(For a reminder: these glib configuration files were created using glib's configure script that we ran on each of our supported platforms and I merged the results with ifdefs, so when dropping a platform we should cleanup the ifdefs specific to that platform; these ifdefs don't come from upstream.)
Depends on: 955018
Attached patch Patches, client.py (obsolete) — Splinter Review
*** Original post on bio 1606 as attmnt 2160 at 2012-12-07 23:25:00 UTC ***

The PPC patches were moved to the patch in bug 955018 (bio 1588).
Attachment #8353923 - Flags: review?(florian)
Comment on attachment 8353918 [details] [diff] [review]
Patches, client.py

*** Original change on bio 1606 attmnt 2156 at 2012-12-07 23:25:30 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353918 - Attachment is obsolete: true
Attachment #8353918 - Flags: review?(florian)
*** Original post on bio 1606 at 2012-12-08 15:12:49 UTC ***

It looks like we also need to port https://bugzilla.mozilla.org/show_bug.cgi?id=780357 and https://bugzilla.mozilla.org/show_bug.cgi?id=781446
*** Original post on bio 1606 at 2012-12-11 22:30:37 UTC ***

And https://bugzilla.mozilla.org/show_bug.cgi?id=705532 apparently.
Attached patch Patches, client.py v2 (obsolete) — Splinter Review
*** Original post on bio 1606 as attmnt 2166 at 2012-12-14 00:31:00 UTC ***

Slightly updated version.
Attachment #8353928 - Flags: review?(florian)
Comment on attachment 8353923 [details] [diff] [review]
Patches, client.py

*** Original change on bio 1606 attmnt 2160 at 2012-12-14 00:31:27 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353923 - Attachment is obsolete: true
Attachment #8353923 - Flags: review?(florian)
*** Original post on bio 1606 as attmnt 2167 at 2012-12-14 00:33:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353929 - Flags: review?(florian)
*** Original post on bio 1606 at 2012-12-14 00:34:26 UTC ***

This builds and JS protocols work, I hit an assertion with libpurple protocols and I'm having issues debugging this, any help would be appreciated!
Comment on attachment 8353928 [details] [diff] [review]
Patches, client.py v2

*** Original change on bio 1606 attmnt 2166 at 2012-12-14 07:17:57 UTC ***

>diff --git a/tools/patches/use-clang-for-osx.patch b/tools/patches/use-clang-for-osx.patch
>--- a/tools/patches/use-clang-for-osx.patch
>+++ b/tools/patches/use-clang-for-osx.patch
>@@ -1,28 +0,0 @@
>-diff --git a/build/macosx/common b/build/macosx/common
>---- a/build/macosx/common
>-+++ b/build/macosx/common
>-@@ -1,4 +1,22 @@
>--CC=/usr/bin/gcc-4.2
>--CXX=/usr/bin/g++-4.2
>-+if [ -d "$topsrcdir/clang" ]; then
>-+    # mozilla-central based build
>-+    export CC=$topsrcdir/clang/bin/clang
>-+    export CXX=$topsrcdir/clang/bin/clang++
>-+elif [ -d "$topsrcdir/../clang" ]; then
>-+    # comm-central based build
>-+    export CC=$topsrcdir/../clang/bin/clang
>-+    export CXX=$topsrcdir/../clang/bin/clang++
>-+fi
>-+
>-+# If not set use the system default clang
>-+if [ -z "$CC" ]; then
>-+    export CC=clang
>-+fi
>-+
>-+# If not set use the system default clang++
>-+if [ -z "$CXX" ]; then
>-+    export CXX=clang++
>-+fi
>- 
>- ac_add_options --enable-stdcxx-compat
>-+ac_add_options --with-ccache

Why are you removing this instead of updating it? Attempting to use gcc-4.2 on the new build slave is a guaranteed failure. We need http://hg.mozilla.org/comm-central/rev/c8b420734337 instead of the else case in http://hg.mozilla.org/releases/comm-release/annotate/a44252ba0f5d/build/macosx/common#l9

I haven't looked again at the rest of this patch, assuming it was mostly unchanged compared to the previous version that looked good.
Attachment #8353928 - Flags: review?(florian) → review-
*** Original post on bio 1606 at 2012-12-14 08:13:15 UTC ***

(In reply to comment #11)
> This builds and JS protocols work, I hit an assertion with libpurple protocols
> and I'm having issues debugging this, any help would be appreciated!

Would have been useful to paste the assertion here ;).

FWIW, I built a debug build (with a fresh obj dir) with the 3 patches here, and the build works fine. I tried 2 AIM accounts, an MSN account and a Bonjour account.
The only issue I noticed while testing was mis-configured libpurple-xmpp accounts got stuck in the "Disconnecting..." state, and that caused a freeze of the application at shutdown. I would be very inclined to blame bug 955279 (bio 1846) for that though.
Attached patch Patches, client.py v3 (obsolete) — Splinter Review
*** Original post on bio 1606 as attmnt 2168 at 2012-12-14 11:40:00 UTC ***

Updates the Mac OS X clang patch.
Attachment #8353930 - Flags: review?(florian)
Comment on attachment 8353928 [details] [diff] [review]
Patches, client.py v2

*** Original change on bio 1606 attmnt 2166 at 2012-12-14 11:40:02 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353928 - Attachment is obsolete: true
*** Original post on bio 1606 as attmnt 2169 at 2012-12-14 11:44:00 UTC ***

This also removes the extra "caller" from imXPCOMUtils (which was added to Moz16 without understanding why), I had this in a totally separate patch in my queue.
Attachment #8353931 - Flags: review?(florian)
Comment on attachment 8353930 [details] [diff] [review]
Patches, client.py v3

*** Original change on bio 1606 attmnt 2168 at 2012-12-14 11:44:19 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353930 - Attachment is obsolete: true
Attachment #8353930 - Flags: review?(florian)
Comment on attachment 8353929 [details] [diff] [review]
Port bug 780357, bug 781446 and bug 705532

*** Original change on bio 1606 attmnt 2167 at 2012-12-16 01:09:50 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353929 - Flags: review?(florian) → review+
Comment on attachment 8353931 [details] [diff] [review]
Patches, client.py v4

*** Original change on bio 1606 attmnt 2169 at 2012-12-16 01:09:59 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353931 - Flags: review?(florian) → review+
*** Original post on bio 1606 at 2012-12-16 06:30:16 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/565b27cbc394, http://hg.instantbird.org/instantbird/rev/324662e782b9 and http://hg.instantbird.org/instantbird/rev/095bfb831be7
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.